> For the complete documentation index, see [llms.txt](https://docs.cotter.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cotter.app/api-reference/event-object.md).

# Event Object

An Event Object describes an **Authentication Event**, and serves as a "proof" that the user has successfully authenticated. The field `approved` tells you whether this event is approved, and the `signature` can be validated to make sure that this "proof" is generated by Cotter.

```javascript
{
  "ID": 610152,
  "user_id": "61e51b1b-55cd-4b00-9cc0-4b71fa0eb00f",
  "client_user_id": "",
  "issuer": "abababab-abab-abab-abab-ababab",
  "event": "LOGIN_WITH_DEVICE",
  "ip": "73.15.208.6",
  "location": "Orinda",
  "timestamp": "1591935918",
  "method": "TRUSTED_DEVICE",
  "new": false,
  "approved": true,
  "signature": "BqBQphW2G1QLn5/ZcrcRVJ/S..."
}
```

| Field            | Description                                                                                                                                          |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| ID               | The event ID                                                                                                                                         |
| user\_id         | Cotter's User ID of the user that requested this authentication event                                                                                |
| client\_user\_id | *\[DEPRECATED]*  Your User ID for the user in your server                                                                                            |
| issuer           | Your `API_KEY_ID`                                                                                                                                    |
| event            | A tag that describes the authentication event.                                                                                                       |
| ip               | The user's IP address when requesting authentication                                                                                                 |
| location         | The user's location when requesting authentication                                                                                                   |
| timestamp        | The UNIX timestamp when the user requested for authentication                                                                                        |
| method           | The authentication method that was used: `TRUSTED_DEVICE` , `PIN` , or `BIOMETRIC`                                                                   |
| new              | Whether or not this is a new request. This is used for **pending requests** where the user need to tap on their device to approve the login request. |
| approved         | Whether or not this authentication request was approved                                                                                              |
| signature        | A signature from Cotter that prove that this Event Object is generated by Cotter.                                                                    |

To use this Event Object, you should validate it's authenticity following this guide:

{% content-ref url="/pages/-M2pWffm56vOPZk07RZ7" %}
[Validating Cotter's Event Response](/older-api/validating-cotters-event-response.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cotter.app/api-reference/event-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
